CVE-2021-31598

NameCVE-2021-31598
DescriptionAn issue was discovered in libezxml.a in ezXML 0.8.6. The function ezxml_decode() performs incorrect memory handling while parsing crafted XML files, leading to a heap-based buffer overflow.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-2705-1
NVD severitymedium
Debian Bugs989360, 989361, 989363, 989364

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
mapcache (PTS)stretch1.4.1-3vulnerable
buster1.6.1-3vulnerable
bookworm, sid, bullseye1.10.0-2vulnerable
netcdf (PTS)stretch1:4.4.1.1-2fixed
buster1:4.6.2-1vulnerable
bullseye1:4.7.4-1vulnerable
bookworm, sid1:4.8.1-1vulnerable
netcdf-parallel (PTS)buster1:4.6.2-1vulnerable
bookworm, sid, bullseye1:4.7.4-1vulnerable
scilab (PTS)stretch5.5.2-4vulnerable
stretch (security)5.5.2-4+deb9u1fixed
buster6.0.1-10+deb10u1vulnerable
bullseye6.1.0+dfsg1-7vulnerable
bookworm, sid6.1.1+dfsg2-2vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
mapcachesource(unstable)(unfixed)989363
netcdfsourcestretch(not affected)
netcdfsource(unstable)(unfixed)989360
netcdf-parallelsource(unstable)(unfixed)989361
scilabsourcestretch5.5.2-4+deb9u1DLA-2705-1
scilabsource(unstable)(unfixed)989364

Notes

[bullseye] - mapcache <no-dsa> (Minor issue)
[buster] - mapcache <no-dsa> (Minor issue)
[stretch] - mapcache <no-dsa> (Minor issue)
[bullseye] - scilab <no-dsa> (Minor issue)
[buster] - scilab <no-dsa> (Minor issue)
[bullseye] - netcdf <no-dsa> (Minor issue)
[buster] - netcdf <no-dsa> (Minor issue)
[stretch] - netcdf <not-affected> (vulnerable code not present)
[bullseye] - netcdf-parallel <no-dsa> (Minor issue)
[buster] - netcdf-parallel <no-dsa> (Minor issue)
https://sourceforge.net/p/ezxml/bugs/28/

Search for package or bug name: Reporting problems